\documentclass{article}
\usepackage{pgfplots}
\usepackage{amssymb, amsmath}
\usepackage{tikz}
\usepackage{xcolor}
\pgfplotsset{compat=1.7}

\definecolor{rdeca}{rgb}{0.81, 0.09, 0.13}
\definecolor{oranzna}{rgb}{1.0, 0.45, 0.0}
\definecolor{rumena}{rgb}{1.0, 0.70, 0.0}
\definecolor{szelena}{rgb}{0.56, 0.62, 0.06}
\definecolor{zelena}{rgb}{0.13, 0.55, 0.13}
\definecolor{smodra}{rgb}{0.0, 0.65, 0.83}
\definecolor{modra}{rgb}{0.0, 0.22, 0.66}
\definecolor{sliva}{rgb}{0.56, 0.27, 0.52}
\definecolor{mz}{rgb}{0.065, 0.385, 0.395}
\definecolor{mv}{rgb}{0.28, 0.245, 0.59}


\begin{document}
\pgfmathdeclarefunction{gauss}{2}{\pgfmathparse{1/(#2*sqrt(2*pi))*exp(-((x-#1)^2)/(2*#2^2))}%
}
\begin{tikzpicture}
\begin{axis}[no markers, domain=0:10, samples=100,
axis lines*=left,
height=6cm, width=10cm,
xtick={-3, -2, -1, 0, 1, 2, 3}, ytick=\empty,
xticklabels = {$-3\sigma$,$-2\sigma$,$-\sigma$,$0$,$\sigma$,$2\sigma$,$3\sigma$,},
enlargelimits=false, clip=false,
grid = major]
\addplot [fill=modra!25, draw=none, domain=-3:3] {gauss(0,1)} \closedcycle;
\addplot [fill=zelena!30, draw=none, domain=-2:-1] {gauss(0,1)} \closedcycle;
\addplot [fill=zelena!30, draw=none, domain=1:2] {gauss(0,1)} \closedcycle;
\addplot [fill=rumena!30, draw=none, domain=-3:-2] {gauss(0,1)} \closedcycle;
\addplot [fill=rumena!30, draw=none, domain=2:3] {gauss(0,1)} \closedcycle;
\draw[thick, -stealth, modra] (axis cs:0,0.4) -- (axis cs:1,0.4);
\draw[thick, -stealth, zelena] (axis cs:0,0.3) -- (axis cs:2,0.3);
\draw[thick, -stealth, rumena] (axis cs:0,0.2) -- (axis cs:3,0.2);
\draw[thick, stealth-, modra] (axis cs:-1,0.4) -- (axis cs:0,0.4);
\draw[thick, stealth-, zelena] (axis cs:-2,0.3) -- (axis cs:0,0.3);
\draw[thick, stealth-, rumena] (axis cs:-3,0.2) -- (axis cs:0,0.2);
\node[coordinate, pin={\small{34.1\%}}] at (axis cs: -0.5, 0){};
\node[coordinate, pin={\small{34.1\%}}] at (axis cs: 0.5, 0){};
\node[coordinate, pin={\small{13.6\%}}] at (axis cs: 1.5, 0){};
\node[coordinate, pin={\small{13.6\%}}] at (axis cs: -1.5, 0){};
\node[coordinate, pin={\small{2.1\%}}] at (axis cs: 2.5, 0){};
\node[coordinate, pin={\small{2.1\%}}] at (axis cs: -2.5, 0){};
\node[color=modra] at (axis cs: 0.5, 0.43){$68.2\%$};
\node[color=zelena] at (axis cs: 1.5, 0.33){$95\%$};
\node[color=rumena] at (axis cs: 2.5, 0.23){$99.7\%$};
\end{axis}
\end{tikzpicture}
\end{document}